<template>
  <div
    class="flex custom-popular-match-card-desktop gap-3"
    :style="tab.includes('module_popular_match') ? 'margin: 0' : ''"
  >
    <div v-for="(match, index) in matches" :key="index">
      <sport-d-popular-match-card :match="match" />
    </div>
  </div>
</template>

<script setup lang="ts">
import { PropType } from "vue";
import { RecommendMatch } from "@/models/theme/popular_match/popularMatch";

defineProps({
  matches: {
    type: Array as PropType<Array<RecommendMatch>>,
    required: false,
    default: () => [],
  },
  tab: {
    type: String,
    default: "",
  },
});
</script>

<style scoped lang="scss">
.popular-match {
  .custom-popular-match-card-desktop {
    min-width: 1200px;
    margin: 50px 20px 10px 0px;
    align-items: center;
    justify-content: center;
    overflow: hidden;
  }
}
</style>
